.navbar-brand {
  font-size: 1rem;
  font-weight: 600;
  display: block;
  text-decoration: none;
  color: #f1580c;
}
.login_btn {
  background: #f1580c;
  color: #fff;
  border-radius: 5px;
  text-align: center;
  font-weight: bold;
}
.login_btn:hover {
  background: #eb4800;
  color: #fff;
}
.dropdown-toggle:hover {
  background: gray;
  color: #fff;
  border-radius: 4px;
  font-weight: 500;
}

.nav_icon_text {
  font-size: 1.5rem;
  color: #000;
  text-decoration: none;
  margin: 0 10px;
  cursor: pointer;
}

.categories_in_mobile a {
  display: inline-block;
  text-decoration: none;
  color: #eb4800;
  background-color: #f0f0f0;
  padding: 3px 15px;
  font-size: 16px;
  border-radius: 8;
  text-wrap: nowrap;
}

.categories_in_mobile {
  display: flex;
  flex-wrap: nowrap;
  overflow-y: auto;
  gap: 20px;
}

.nav_icon_text-device {
  font-size: 1.2rem;
  color: #000;
  text-decoration: none;
  display: block;
  padding: 10px 0;
  cursor: pointer;
}
.nav_icon_text-device:hover {
  color: #eb4800;
  font-weight: 500;
}
.nav_title button {
  background: transparent;
  color: #000;
  text-align: center;
  border: none;
  font-size: 1.5rem;
  cursor: pointer;
}

.search_btn {
  background: #eb4800;
  color: #fff;
  border-radius: 50px;
}

.search_btn:hover {
  background: #f1580c;
  color: #fff;
}

.cart {
  background: #f1580c;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50px;
  width: 35px;
  height: 35px;
}

.bi-cart2 {
  font-size: 0.9rem;
}

.device_nav {
  display: none;
}

.cart_number {
  right: 0;
  font-size: 0.7rem;
  padding: 0 6px;
}

.cart_icon_container {
  font-size: 50px;
  color: #fff;
  background: #f1580c;
}

.cart_bottom h6 {
  font-size: 1rem;
  font-weight: 600;
}

.cart_bottom p {
  font-size: 0.9rem;
}

.whatsapp {
  display: flex;
  position: fixed;
  bottom: 10px;
  right: 10px;
  background-color: #171717;
  padding: 5px 15px;
  border-radius: 10px;
}

.whatsapp a {
  font-size: 30px;
  color: #f1580c;
}

/* loading animation */

.loading_container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100dvh;
  position: fixed;
  background-color: rgba(0, 0, 0, 0.4);
  color: #fff;
  top: 0;
  left: 0;
}

.lds-ellipsis,
.lds-ellipsis div {
  box-sizing: border-box;
}

.lds-ellipsis {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}

.lds-ellipsis div {
  position: absolute;
  top: 33.33333px;
  width: 13.33333px;
  height: 13.33333px;
  border-radius: 50%;
  background: currentColor;
  animation-timing-function: cubic-bezier(0, 1, 1, 0);
}

.lds-ellipsis div:nth-child(1) {
  left: 8px;
  animation: lds-ellipsis1 0.6s infinite;
}

.lds-ellipsis div:nth-child(2) {
  left: 8px;
  animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(3) {
  left: 32px;
  animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(4) {
  left: 56px;
  animation: lds-ellipsis3 0.6s infinite;
}

@keyframes lds-ellipsis1 {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}

@keyframes lds-ellipsis3 {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}
@keyframes lds-ellipsis2 {
  0% {
    transform: translate(0, 0);
  }
  100% {
    transform: translate(24px, 0);
  }
}

@media screen and (width <= 991px) {
  .decktop_navbar {
    display: none;
  }
  .device_nav {
    display: flex;
  }
}

.fixed_nav_details {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100dvh;
  background: #fff;
  padding: 10px;
  z-index: 9999;
  display: none;
  flex-direction: column;
}
